> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List subscription templates

> Retrieve existing subscription templates.



## OpenAPI

````yaml get /v1/subscriptions/templates
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/subscriptions/templates:
    get:
      tags:
        - Subscriptions > Templates
      summary: List subscription templates
      description: Retrieve existing subscription templates.
      operationId: listSubscriptionTemplates
      parameters:
        - schema:
            type:
              - number
              - 'null'
            minimum: 0
            maximum: 100
            default: 50
          required: false
          name: take
          in: query
        - schema:
            type:
              - number
              - 'null'
            minimum: 0
            default: 0
          required: false
          name: skip
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedSubscriptionTemplate'
      security:
        - bearer: []
components:
  schemas:
    PaginatedSubscriptionTemplate:
      type: object
      properties:
        meta:
          type: object
          properties:
            total:
              type: number
              description: Total of existing items.
              example: 1
            taken:
              type: number
              description: Number of items returned.
              example: 1
            skipped:
              type: number
              description: Number of items skipped.
              example: 0
          required:
            - total
            - taken
            - skipped
        data:
          type: array
          items:
            $ref: '#/components/schemas/SubscriptionTemplateSimple'
          description: List of SubscriptionTemplate.
      required:
        - meta
        - data
    SubscriptionTemplateSimple:
      type: object
      properties:
        id:
          type: string
          description: Subscription template ID.
          example: subt_7gdusOkqr5L0B8
        name:
          type: string
          description: Subscription template name.
          example: Starter
        description:
          type:
            - string
            - 'null'
          description: Subscription template description.
          example: Starter pack
        created_at:
          type: string
          format: date-time
          description: >-
            Subscription template creation date. UTC date time string in the
            [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
          example: '2025-11-30T18:24:34.473Z'
        updated_at:
          type: string
          format: date-time
          description: >-
            Subscription template last edition date. UTC date time string in the
            [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
          example: '2025-11-30T18:24:34.473Z'
        configurations:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: Subscription template configuration ID.
                example: subtc_CjozNBirj6oGq3
              currency:
                type: string
                enum:
                  - EUR
                  - AED
                  - AFN
                  - XCD
                  - ALL
                  - AMD
                  - AOA
                  - ARS
                  - USD
                  - AUD
                  - AWG
                  - AZN
                  - BAM
                  - BBD
                  - BDT
                  - BGN
                  - BHD
                  - BIF
                  - XOF
                  - BMD
                  - BND
                  - BOB
                  - BRL
                  - BSD
                  - BTN
                  - NOK
                  - BWP
                  - BYR
                  - BZD
                  - CAD
                  - CDF
                  - XAF
                  - CHF
                  - NZD
                  - CLP
                  - CNY
                  - COP
                  - CRC
                  - CUP
                  - CVE
                  - ANG
                  - CZK
                  - DJF
                  - DKK
                  - DOP
                  - DZD
                  - EGP
                  - MAD
                  - ERN
                  - ETB
                  - FJD
                  - FKP
                  - GBP
                  - GEL
                  - GHS
                  - GIP
                  - GMD
                  - GNF
                  - GTQ
                  - GYD
                  - HKD
                  - HNL
                  - HRK
                  - HTG
                  - HUF
                  - IDR
                  - ILS
                  - INR
                  - IQD
                  - IRR
                  - ISK
                  - JMD
                  - JOD
                  - JPY
                  - KES
                  - KGS
                  - KHR
                  - KMF
                  - KPW
                  - KRW
                  - KWD
                  - KYD
                  - KZT
                  - LAK
                  - LBP
                  - LKR
                  - LRD
                  - LSL
                  - LYD
                  - MDL
                  - MGA
                  - MKD
                  - MMK
                  - MNT
                  - MOP
                  - MRO
                  - MUR
                  - MVR
                  - MWK
                  - MXN
                  - MYR
                  - MZN
                  - NAD
                  - XPF
                  - NGN
                  - NIO
                  - NPR
                  - OMR
                  - PAB
                  - PEN
                  - PGK
                  - PHP
                  - PKR
                  - PLN
                  - PYG
                  - QAR
                  - RON
                  - RSD
                  - RUB
                  - RWF
                  - SAR
                  - SBD
                  - SCR
                  - SDG
                  - SEK
                  - SGD
                  - SHP
                  - SLL
                  - SOS
                  - SRD
                  - SSP
                  - STD
                  - SYP
                  - SZL
                  - THB
                  - TJS
                  - TMT
                  - TND
                  - TOP
                  - TRY
                  - TTD
                  - TWD
                  - TZS
                  - UAH
                  - UGX
                  - UYU
                  - UZS
                  - VEF
                  - VND
                  - VUV
                  - WST
                  - YER
                  - ZAR
                  - ZMW
                  - ZWL
                description: Subscription template currency.
                example: EUR
              country:
                type:
                  - string
                  - 'null'
                enum:
                  - AD
                  - AE
                  - AF
                  - AG
                  - AI
                  - AL
                  - AM
                  - AO
                  - AQ
                  - AR
                  - AS
                  - AT
                  - AU
                  - AW
                  - AX
                  - AZ
                  - BA
                  - BB
                  - BD
                  - BE
                  - BG
                  - BH
                  - BI
                  - BJ
                  - BL
                  - BM
                  - BN
                  - BO
                  - BQ
                  - BR
                  - BS
                  - BT
                  - BF
                  - BV
                  - BW
                  - BY
                  - BZ
                  - CA
                  - CC
                  - CD
                  - CF
                  - CG
                  - CH
                  - CI
                  - CK
                  - CL
                  - CM
                  - CN
                  - CO
                  - CR
                  - CU
                  - CV
                  - CW
                  - CX
                  - CY
                  - CZ
                  - DE
                  - DJ
                  - DK
                  - DM
                  - DO
                  - DZ
                  - EC
                  - EE
                  - EG
                  - EH
                  - ER
                  - ES
                  - ET
                  - FI
                  - FJ
                  - FK
                  - FM
                  - FO
                  - FR
                  - GA
                  - GB
                  - GD
                  - GE
                  - GF
                  - GG
                  - GH
                  - GI
                  - GL
                  - GM
                  - GN
                  - GP
                  - GQ
                  - GR
                  - GS
                  - GT
                  - GU
                  - GW
                  - GY
                  - HK
                  - HM
                  - HN
                  - HR
                  - HT
                  - HU
                  - IC
                  - ID
                  - IE
                  - IL
                  - IM
                  - IN
                  - IO
                  - IQ
                  - IR
                  - IS
                  - IT
                  - JE
                  - JM
                  - JO
                  - JP
                  - KE
                  - KG
                  - KH
                  - KI
                  - KM
                  - KN
                  - KP
                  - KR
                  - KW
                  - KY
                  - KZ
                  - LA
                  - LB
                  - LC
                  - LI
                  - LK
                  - LR
                  - LS
                  - LT
                  - LU
                  - LV
                  - LY
                  - MA
                  - MC
                  - MD
                  - ME
                  - MF
                  - MG
                  - MH
                  - MK
                  - ML
                  - MM
                  - MN
                  - MO
                  - MP
                  - MQ
                  - MR
                  - MS
                  - MT
                  - MU
                  - MV
                  - MW
                  - MX
                  - MY
                  - MZ
                  - NA
                  - NC
                  - NE
                  - NF
                  - NG
                  - NI
                  - NL
                  - 'NO'
                  - NP
                  - NR
                  - NU
                  - NZ
                  - OM
                  - PA
                  - PE
                  - PF
                  - PG
                  - PH
                  - PK
                  - PL
                  - PM
                  - PN
                  - PR
                  - PS
                  - PT
                  - PT-20
                  - PT-30
                  - PW
                  - PY
                  - QA
                  - RE
                  - RO
                  - RS
                  - RU
                  - RW
                  - SA
                  - SB
                  - SC
                  - SD
                  - SE
                  - SG
                  - SH
                  - SI
                  - SJ
                  - SK
                  - SL
                  - SM
                  - SN
                  - SO
                  - SR
                  - SS
                  - ST
                  - SV
                  - SX
                  - SY
                  - SZ
                  - TC
                  - TD
                  - TF
                  - TG
                  - TH
                  - TJ
                  - TK
                  - TL
                  - TM
                  - TN
                  - TO
                  - TR
                  - TT
                  - TV
                  - TW
                  - TZ
                  - UA
                  - UG
                  - UM
                  - US
                  - UY
                  - UZ
                  - VA
                  - VC
                  - VE
                  - VG
                  - VI
                  - VN
                  - VU
                  - WF
                  - WS
                  - XK
                  - YE
                  - YT
                  - ZA
                  - ZM
                  - ZW
                description: Subscription template country.
                example: null
            required:
              - id
              - currency
              - country
          description: Subscription template configurations.
          example: []
      required:
        - id
        - name
        - description
        - created_at
        - updated_at
        - configurations
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````